﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Exo3
{
    class Affichage
    {
        private UnAlbum[] album = new UnAlbum[30];
        private int nbAlbum;

        public Affichage()
        {
            nbAlbum = 0;
            bool quit = false;

            while (!quit)
            {
                char choix = displayMenu();

                switch (choix)
                {
                    case '1':
                        nouvelAlbum();
                        break;
                    case '2':
                        afficherAlbum();
                        break;
                    case 'q':
                    case 'Q':
                        quit = true;
                        break;
                }
            }
        }

        private void nouvelAlbum()
        {
            Console.WriteLine("Nom de l'album : ");
            string nom = Console.ReadLine();
            Console.WriteLine("Nom de l'artiste : ");
            string artiste = Console.ReadLine();
            album[nbAlbum] = new UnAlbum(nom, artiste);
            nbAlbum++;
        }

        private void afficherAlbum()
        {
            for(int i=0; i< nbAlbum;i++)
                Console.WriteLine("Album "+i.ToString()+ " "+ album[i].toString());
            Console.WriteLine("Vous avez " + nbAlbum + " album(s)");
            Console.ReadLine();
        }

        private char displayMenu()
        {
            Console.Clear();
            Console.Write("Menu\n1 - Nouvel album\n2 - Afficher l'album\nQ - Quitter\nVotre choix : ");
            string entry = Console.ReadLine();

            char choix;
            if (Char.TryParse(entry, out choix))
                return choix;

            return '0';
        }
    }
}
