﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Exo4
{
    class Factorisation
    {
        private int[] facteurs;
        private int nombre;

        public Factorisation(int nombre)
        {
            this.nombre = nombre;
            factorise();
            clearfacteurs();
        }

        public int[] GetFacteurs
        { get { return facteurs; } }

        private void factorise()
        {
            int tmpnombre = nombre;
            int posinfacteurs = 0;
            facteurs = new int[5];

            for (int i = 2; i < int.MaxValue; i++)
            {
                while (tmpnombre % i == 0)
                {
                    if (posinfacteurs == facteurs.Length - 1)
                        plusfacteurs();
                    facteurs[posinfacteurs] = i;
                    posinfacteurs++;
                    tmpnombre /= i;
                }
                if (tmpnombre == 1)
                    return;


            }
        }

        private void plusfacteurs()
        {
            int size = facteurs.Length * 2;

            int[] tmpfacteurs = facteurs;
            facteurs = new int[size];
            for (int i = 0; i < tmpfacteurs.Length; i++)
                facteurs[i] = tmpfacteurs[i];
        }

        private void clearfacteurs()
        {
            int size = facteurs.Length;

            for (int i = 0; i < facteurs.Length; i++)
                if (facteurs[i] == 0)
                    size--;
            int[] tmpfacteurs = facteurs;
            facteurs = new int[size];
            for (int i = 0; i < size; i++)
                facteurs[i] = tmpfacteurs[i];
        }

    }
}
