﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Exo5
{
    class TraitementDonnees
    {
        private MonAlbum[] albums;

        public TraitementDonnees()
        {
            Console.Write("Entrez le nombre d'album que vous souhaitez ajouter : ");
            string chaine = Console.ReadLine();

            int taille;
            if (Int32.TryParse(chaine, out taille))
            {
                albums = new MonAlbum[taille];

                bool quit = false;

                while (!quit)
                {
                    char choix = displayMenu();

                    switch (choix)
                    {
                        case '1':
                            {
                                Console.WriteLine();
                                for (int i = 0; i < albums.Length; i++)
                                    nouvelAlbum(i);
                                Console.WriteLine();
                            }
                            break;
                        case '2':
                            {
                                Console.WriteLine();
                                for (int i = 0; i < albums.Length; i++)
                                    afficherAlbum(i);
                                Console.WriteLine();
                            }
                            break;
                        case '3':
                            {
                                Console.Write("Quel numéro ? ");
                                string n = Console.ReadLine();

                                int numb;
                                if (Int32.TryParse(n, out numb))
                                    nouvelAlbum(numb);
                                Console.WriteLine();
                            }
                            break;
                        case '4':
                            {
                                Console.Write("Quel numéro ? ");
                                string n = Console.ReadLine();

                                int numb;
                                if (Int32.TryParse(n, out numb))
                                    afficherAlbum(numb);
                                Console.WriteLine();
                            }
                            break;
                        case 'q':
                        case 'Q':
                            quit = true;
                            break;
                    }
                }
            }
        }

        private void nouvelAlbum(int index)
        {
            if (index < 0 || index >= albums.Length)
                return;

            Console.Write("Nom de l'album #{0} : ", index);
            string nom = Console.ReadLine();
            Console.Write("Nom de l'artiste #{0} : ", index);
            string artiste = Console.ReadLine();
            albums[index] = new MonAlbum(nom, artiste);
        }

        private void afficherAlbum(int index)
        {
            if (index < 0 || index >= albums.Length)
                return;

            Console.WriteLine("Album #{0} : " + albums[index].Nom + " - Artiste #{0} : " + albums[index].Artiste, index);
        }

        private char displayMenu()
        {
            Console.Write("Menu\n1 - Nouvel album\n2 - Afficher l'album\n3 - Modifier un album\n4 - Afficher un album\nQ - Quitter\nVotre choix : ");
            string entry = Console.ReadLine();

            char choix;
            if (Char.TryParse(entry, out choix))
                return choix;

            return ' ';
        }
    }
}
